netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
iniparser_util.h File Reference
`#include <iniparser.h>`

Go to the source code of this file.

## Macros
#define | INIPARSER_DICTIONARY dictionary
#define | INISEC_GLOBAL "global"
#define | INISEC_HOMES "homes"
#define | INIPARSER_GETSTR(config, section, key, default)
#define | INIPARSER_GETSTRDUP(config, section, key, default)
#define | CONFIG_ARG_FREE(a)

## Macro Definition Documentation

## ◆ CONFIG_ARG_FREE

#define CONFIG_ARG_FREE | ( |  | a | ) |

Value:
do { \
free(a); \
a = NULL; \
} while (0);
NULL
#define NULL
Definition utf8util.c:47

## ◆ INIPARSER_DICTIONARY

#define INIPARSER_DICTIONARY dictionary

## ◆ INIPARSER_GETSTR

#define INIPARSER_GETSTR | ( |  | config,
|  |  | section,
|  |  | key,
|  |  | default )

Value:
({ \
char _option[MAXOPTLEN]; \
snprintf(_option, sizeof(_option), "%s:%s", section, key); \
iniparser_getstring(config, _option, default); \
})
MAXOPTLEN
#define MAXOPTLEN
Definition globals.h:48
key
#define key
Definition hash.c:37

## ◆ INIPARSER_GETSTRDUP

#define INIPARSER_GETSTRDUP | ( |  | config,
|  |  | section,
|  |  | key,
|  |  | default )

Value:
({ \
char _option[MAXOPTLEN]; \
snprintf(_option, sizeof(_option), "%s:%s", section, key); \
const char *_tmp = iniparser_getstring(config, _option, default); \
_tmp ? strdup(_tmp) : NULL; \
})

## ◆ INISEC_GLOBAL

#define INISEC_GLOBAL "global"

## ◆ INISEC_HOMES

#define INISEC_HOMES "homes"